[OWASP-ESAPI] ESAPI 1.4.1

Ed Schaller schallee at darkmist.net
Thu Dec 3 01:35:50 EST 2009


> I probably would help those using ESAPI to "speak now" if we could
> match Servlet 2.4 / JSP 2.0 / etc. up with versions of popular JavaEE or
> servlet containers.
> 
> For instance, what version of Tomcat uses the Servlet 2.4 spec? How about
> WebLogic Server version? Or Jetty or Resis or JBoss, etc.? I think developers
> are more in tune with these versions than they are of the servlet spec version
> these implement. Anyone know of a table that summarizes this info for popular
> servlet / JavaEE containers?

here's my chart from what I'm finding on line for supporting j2ee 1.4
implies servlet 2.4 which implies jsp 2.0.

software:	version:	spec:
Apusic		4.0		j2ee 1.4
bea weblogic	8/9.2		j2ee 1.4
geronimo	1.0		j2ee 1.4
cosminexus	?		j2ee 1.4
jboss		4.0		j2ee 1.4
Jetty		5.0		servlet 2.4 jsp 2.0
jeus		5		j2ee 1.4
jonas		4.1		j2ee 1.4 tomcat 5/jetty 5
interstage	9.1		j2ee 1.4
onceas		2.0		j2ee 1.4
oracle app serv	10g		j2ee 1.4
pramati		5.0		j2ee 1.4
resin		3.0		servlet 2.4 jsp 2.0
sap netwever	preview		j2ee1.4
sun j sys app serv 8		j2ee 1.4
easerver	6.0		j2ee 1.4
Tomcat		5.0		servlet 2.4 jsp 2.0
TongWeb		4.6		j2ee 1.4
Trifork		T4		j2ee 1.4
was		6.0		j2ee 1.4
webOtx		6.1		j2ee 1.4

>>>------>
-------------- next part --------------
A non-text attachment was scrubbed...
Name: not available
Type: application/pgp-signature
Size: 198 bytes
Desc: Digital signature
Url : https://lists.owasp.org/pipermail/owasp-esapi/attachments/20091203/07c22793/attachment.bin 


More information about the OWASP-ESAPI mailing list